Bug 192437 - hspell: useless debuginfo package
hspell: useless debuginfo package
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: hspell (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Kenigsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-19 14:42 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.0-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-20 14:30:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-05-19 14:42:25 EDT
hspell's installation strips the binary, resulting in a useless empty debuginfo
pacakge.

One way to fix it is to add in %prep:
sed -i -e '/^\s\+strip\s/d' Makefile*
Comment 1 Dan Kenigsberg 2006-05-20 14:30:40 EDT
Oops, I did it again. (I think it happened to me in most of the RPMs I packaged,
and I don't learn :-(. Sorry)

I corrected this for "devel", and I'll to that soon for FC-4 and FC-5.

Note You need to log in before you can comment on or make changes to this bug.